if speccyButtonThinker then return end
rawset(_G, "speccyButtonThinker", true)

local function buttonThinker(p, button)
	if (p.cmd.buttons & _G["BT_"..button:upper()])
		p.buttons[button:lower()] = $+1
	else
		p.buttons[button:lower()] = 0
	end
end

rawset(_G, "justPressed", function(p, button)
	return p.buttons[button] == 1
end)

rawset(_G, "heldButton", function(p, button)
	return p.buttons[button] > 0
end)

addHook("ThinkFrame", do
	for p in players.iterate
		p.buttons = $ or {
			accelerate = 0,
			drift = 0,
			attack = 0,
			brake = 0,
		}

		buttonThinker(p, "accelerate")
		buttonThinker(p, "drift")
		buttonThinker(p, "attack")
		buttonThinker(p, "brake")
	end
end)