// Chaoskart Exists!
rawset(_G, "chaosKart", {
	events = {},
	raceeffects = {},
})

// Sounds
freeslot("sfx_noooo3", "sfx_ctimer", "sfx_obanan")

// On or Off?
rawset(_G, "cv_chaoskart", CV_RegisterVar({
	name = "chaoskart",
	defaultvalue = "On",
	flags = CV_NETVAR,
	PossibleValue = {Off = 0, On = 1},
}))

// Eventtimer
rawset(_G, "cv_starteventtime", CV_RegisterVar({
	name = "ck_eventtime",
	defaultvalue = 20,
	flags = CV_NETVAR,
	PossibleValue = {MIN = 1, MAX = 300},
}))

// RNG
rawset(_G, "cv_rareeventchance", CV_RegisterVar({
	name = "ck_rarechance",
	defaultvalue = 5,
	flags = CV_NETVAR,
	PossibleValue = {MIN = 1, MAX = 100},
}))

rawset(_G, "cv_raceeffectchance", CV_RegisterVar({
	name = "ck_raceeffectchance",
	defaultvalue = 20,
	flags = CV_NETVAR,
	PossibleValue = {MIN = 1, MAX = 100},
}))

rawset(_G, "cv_rareraceeffectchance", CV_RegisterVar({
	name = "ck_raceraceeffectchance",
	defaultvalue = 10,
	flags = CV_NETVAR,
	PossibleValue = {MIN = 1, MAX = 100},
}))

rawset(_G, "cv_deathroulettechance", CV_RegisterVar({
	name = "ck_deathchance",
	defaultvalue = 1,
	flags = CV_NETVAR,
	PossibleValue = {MIN = 1, MAX = 100},
}))

// Misc funcs
chaosKart.getFirstPlace = function()
	for p in players.iterate do
		if p.mo and p.mo.valid and p.kartstuff[k_position] == 1 then return p end
	end

	return nil
end

chaosKart.getLastPlace = function()
	if not server.playercount then
		server.playercount = 0
		for p in players.iterate do
			if p.mo and p.mo.valid then server.playercount = $+1 end
		end
	end

	for p in players.iterate do
		if p.kartstuff[k_position] == server.playercount and p.mo and p.mo.valid then
			return p
		end
	end

	return nil
end